Loading...
Searching...
No Matches
BALL::PairExpInteractionEnergyProcessor::Default Struct Reference

`#include <BALL/SOLVATION/pairExpInteractionEnergyProcessor.h>`

## Static Public Attributes

static const Size | VERBOSITY
static const double | ALPHA
static const double | C1
static const double | C2
static const char * | CLAVERIE_FILENAME
static const bool | USE_RDF
static const char * | RDF_FILENAME
static const char * | SOLVENT_FILENAME
static const Size | SURFACE_TYPE
static const char * | SURFACE_FILENAME

## Detailed Description

Default values for interaction energy calculations. These values represent the default settings for the calculations of the interaction energy.

Definition at line 145 of file pairExpInteractionEnergyProcessor.h.

## Member Data Documentation

## ALPHA

const double BALL::PairExpInteractionEnergyProcessor::Default::ALPHA

static

Default pair potential constants.

See also
  : Option::ALPHA
  : Option::C1
  : Option::C2

Definition at line 157 of file pairExpInteractionEnergyProcessor.h.

## C1

const double BALL::PairExpInteractionEnergyProcessor::Default::C1

static

Definition at line 158 of file pairExpInteractionEnergyProcessor.h.

## C2

const double BALL::PairExpInteractionEnergyProcessor::Default::C2

static

Definition at line 159 of file pairExpInteractionEnergyProcessor.h.

## CLAVERIE_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Default::CLAVERIE_FILENAME

static

Definition at line 161 of file pairExpInteractionEnergyProcessor.h.

## RDF_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Default::RDF_FILENAME

static

Definition at line 169 of file pairExpInteractionEnergyProcessor.h.

## SOLVENT_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Default::SOLVENT_FILENAME

static

Definition at line 170 of file pairExpInteractionEnergyProcessor.h.

## SURFACE_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Default::SURFACE_FILENAME

static

See also
  Option::SURFACE_FILENAME

Definition at line 180 of file pairExpInteractionEnergyProcessor.h.

## SURFACE_TYPE

const Size BALL::PairExpInteractionEnergyProcessor::Default::SURFACE_TYPE

static

See also
  Option::SURFACE_TYPE

Definition at line 175 of file pairExpInteractionEnergyProcessor.h.

## USE_RDF

const bool BALL::PairExpInteractionEnergyProcessor::Default::USE_RDF

static

Default RDF setting. We use RDF information for the calculation of the interaction energy by default.

See also
  Option::USE_RDF

Definition at line 168 of file pairExpInteractionEnergyProcessor.h.

## VERBOSITY

const Size BALL::PairExpInteractionEnergyProcessor::Default::VERBOSITY

static

Default verbosity level.

See also
  Option::VERBOSITY

Definition at line 150 of file pairExpInteractionEnergyProcessor.h.